Package org.eclipse.net4j.util.security.operations

## Class AuthorizableOperationFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.operations.AuthorizableOperationFactory

- All Implemented Interfaces:
    `IFactory`

      public final class AuthorizableOperationFactory
      extends Factory

  Since:
    3.16
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizableOperationFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuthorizableOperation` | `create​(java.lang.String description)` |
    `static AuthorizableOperation` | `getAuthorizableOperation​(IManagedContainer container, java.lang.String operationID)` |
    `static AuthorizableOperation[]` | `getAuthorizableOperations​(IManagedContainer container)` |
    `java.lang.String` | `getOperationID()` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthorizableOperationFactory

          public AuthorizableOperationFactory()

  - ### Method Detail

    - #### getOperationID

          public java.lang.String getOperationID()

    - #### create

          public AuthorizableOperation create​(java.lang.String description)
                                       throws ProductCreationException

      Throws:
        `ProductCreationException`

    - #### getAuthorizableOperation

          public static AuthorizableOperation getAuthorizableOperation​(IManagedContainer container,
                                                                       java.lang.String operationID)

    - #### getAuthorizableOperations

          public static AuthorizableOperation[] getAuthorizableOperations​(IManagedContainer container)